Kismet Wireless

Kismet Forums


Posted by:chroniccommand
Subject:Atheros error on Kismet?
Date:21:04:54 21/12/2010

> > I have an Atheros a/b/g card. I've tried editing the conf file in /etc/kismet/ and adding the madwifi config settings. This is what I have:
> > source=madwifi_ag,wlan0,madwifi
> >
> > Can anyone explain why I'm getting this error and help me fix it? I'm quite sure madwifi is used for atheros cards.
> 1) You're using a very old kismet, which is 2-3 years old. You need to upgrade to the latest release or even SVN (2010-07-R1)
> 2) Madwifi has effectively been discontinued in favor of ath5k/ath9k native in the kernel. Madwifi has a number of significant issues when used with Kismet, namely that the drivers appear to incorrectly make initial vaps, see the troubleshooting section of Kismet for more information. If you insist on using the madwifi stuff, you'll need to change your module loading parameters and tweak your distro boot scripts to accommodate them.

I'm not very good at networking. Could you tell me what I'd use instead of madwifi for an Atheros 5K card?

Reply to this message